% This function gets the parameter values for a parameter name
% rawInput is a cell array of strings

function out=parseParam(paramName,rawInput)

dum = strmatch(paramName,rawInput);
if isempty(dum)
    error(sprintf('%s not defined',paramName));
else
    [token, rem] = strtok(rawInput{dum});
    out = str2num(rem);
    if isempty(out)
        error(sprintf('Problem with %s definition',paramName));
    end
end
